/* 
    Copyright 2002 Cyril Picard

    This file is part of the GEDCOMParser library 
    (developed within the Genealogy Free Software Tools project).

    The GEDCOMParser library is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    The GEDCOMParser library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the GEDCOMParser library ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef _GEDCOMPARSER_DATEMANAGEMENT_DATEPHRASE_HH_
#define _GEDCOMPARSER_DATEMANAGEMENT_DATEPHRASE_HH_

#include <string>

///
namespace GEDCOMParser
{
  ///
  namespace DateManagement
  {
    /** @memo Implements the GEDCOM 5.5 DATE_PHRASE primitive element
     **/
    class DatePhrase
    {
    public:
      ///@name Constructors 
      //@{
      /// 
      DatePhrase (std::string const &value = ""):_value (value)
      {
      };
      //@}
      ///@name Accessors (get)
      //@{ 
      ///
        std::string const &getDisplayValue (void) const;
      //@}      
    private:
        std::string _value;
    };
  };
};

#endif
