/* 
    Copyright 2002 Cyril Picard

    This file is part of the GEDCOMParser library 
    (developed within the Genealogy Free Software Tools project).

    The GEDCOMParser library is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    The GEDCOMParser library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the GEDCOMParser library ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef _GEDCOMPARSER_GEDCOMFACTORYACCESSOR_HH_
#define _GEDCOMPARSER_GEDCOMFACTORYACCESSOR_HH_

#include "GEDCOMParser/GEDCOMFactory.hh"

/// Package GEDCOMParser
namespace GEDCOMParser
{
    /** @memo Singleton used to access to the GEDCOM factory
     */
  class GEDCOMFactoryAccessor
  {
  public:
    static void GEDCOMParser::GEDCOMFactoryAccessor::Init (void);
    static GEDCOMParser::GEDCOMFactory * getFactory (void);
  private:
      GEDCOMFactoryAccessor (void)
    {
    };
    static GEDCOMParser::GEDCOMFactory * _factory;
  };
};

///
inline void
GEDCOMParser::GEDCOMFactoryAccessor::Init (void)
{
  if (_factory == 0)
    {
      _factory = new GEDCOMParser::GEDCOMFactory ();
    }
  return;
}

///
inline
  GEDCOMParser::GEDCOMFactory *
  GEDCOMParser::GEDCOMFactoryAccessor::getFactory (void)
{
  return _factory;
}


#endif
