/* 
    Copyright 2002 Cyril Picard

    This file is part of the GEDCOMParser library 
    (developed within the Genealogy Free Software Tools project).

    The GEDCOMParser library is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    The GEDCOMParser library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the GEDCOMParser library ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#include "SubmitterRecord.hh"
#include "GEDCOMParser/Visitor/GEDCOMVisitor.hh"
#include "GEDCOMParser/GEDCOMFactory.hh"
#include "GEDCOMParser/GEDCOMFactoryAccessor.hh"

GEDCOMParser::SubmitterRecord::SubmitterRecord (std::string const &id = "")
{
  if (id != "")
    {
      setId (id);
    }
  return;
}

void
GEDCOMParser::SubmitterRecord::setId (std::string const &value)
{
  _id = value;
  return;
}

void
GEDCOMParser::SubmitterRecord::setName (std::string const &value)
{
  _name = value;
  return;
}

void
GEDCOMParser::SubmitterRecord::addLanguagePref (std::string const &lang)
{
  _language_preferences.push_back (lang);
  return;
}

void
GEDCOMParser::SubmitterRecord::setRfn (std::string const &value)
{
  _rfn = value;
  return;
}

GEDCOMParser::SubmitterRecord::LanguagePreferences_t const &
GEDCOMParser::SubmitterRecord::getLanguagePreferences (void) const
{
  return _language_preferences;
}

std::string const &
GEDCOMParser::SubmitterRecord::getId (void) const
{
  return _id;
}

std::string const &
GEDCOMParser::SubmitterRecord::getName (void) const
{
  return _name;

}

std::string const &
GEDCOMParser::SubmitterRecord::getRfn (void) const
{
  return _rfn;

}

void
GEDCOMParser::SubmitterRecord::Accept (GEDCOMParser::GEDCOMVisitor * v)
{
  v->VisitSubmitterRecord (this);
  return;
}
